
/*---------------------------------------------------------------------------

    Filename: main.js
    Project:  Data Analysis Extensions
    (C) Copyright 2008, Kirix Corporation, All Rights Reserved.

    Summary:        Main start file for Date Range Analysis extension

    Developer(s):   David Z. Williams

---------------------------------------------------------------------------*/


include "tools_menu_inserter.js";
include "date_range_form.js";


if (Extension.isContextPackage())
{
    // if the script is packaged as an extension, when the
    // script is run, add a menu item to the host application 
    // and connect the menu item click event to a handler
    var item = insertToolsMenuItem("Analyze Date Ranges...");
    item.click.connect(onDateRangeAnalysisMenuItemClicked);
}
 else
{
    // if the script is not packaged as an extension, when
    // the script is run, simply show the form
    var f = new DateRangeForm;
    f.center();
    f.show();
}

function onDateRangeAnalysisMenuItemClicked()
{
    // if the menu item is clicked, show the form
    var f = new DateRangeForm;
    f.center();
    f.show();
}

// start the application event loop to process
// application events
Application.run();

